## com.lowagie.text.xml
Class XmlToHtml

    java.lang.Object
      com.lowagie.text.xml.XmlToXXX
          com.lowagie.text.xml.XmlToHtml

public class XmlToHtml
extends XmlToXXX

HTML-specific subclass of `XmlToXXX`.

Version:
  1.0
Author:
  Matt Benson

Field Summary

Fields inherited from class com.lowagie.text.xml.XmlToXXX
`pageSize`

Constructor Summary
`XmlToHtml()` Construct an `XmlToHtml` with the default page size.
`XmlToHtml(String pageSize)` Construct an `XmlToHtml` with the specified page size.

Method Summary
`protected void` `addWriter(Document doc, OutputStream out)` Add a `DocWriter` for the specified `Document` and `OutputStream`.
`static void` `main(String[] args)` Main method of the `XmlToHtml` class.

Methods inherited from class com.lowagie.text.xml.XmlToXXX
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlToHtml

    public XmlToHtml()

  Construct an `XmlToHtml` with the default page size.

### XmlToHtml

    public XmlToHtml(String pageSize)

  Construct an `XmlToHtml` with the specified page size.

Parameters:
  `pageSize` - `String` page size name from `com.lowagie.text.PageSize`.

Method Detail

### addWriter

    protected final void addWriter(Document doc,
                                   OutputStream out)
                            throws DocumentException

  Add a `DocWriter` for the specified `Document` and `OutputStream`.

  Specified by:
    `addWriter` in class `XmlToXXX`
  Parameters:
    `doc` - The document to which content will be added
    `out` - The outputstream where the HTML will be sent to
  Throws:
    `DocumentException` - if document errors occur.

### main

    public static void main(String[] args)

  Main method of the `XmlToHtml` class.

  Parameters:
    `args` - `String[]` of command-line arguments.